#
# spec file for package glycin-loaders
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           glycin-loaders
Version:        0.1.2
Release:        2.1
Summary:        Sandboxed image rendering
License:        LGPL-2.1-or-later OR MPL-2.0
URL:            https://gitlab.gnome.org/sophie-h/glycin
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst

BuildRequires:  cargo-packaging
BuildRequires:  git
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libxml-2.0)

%description
Sandboxed and extendable image decoding.

%prep
%autosetup -p1 -a1

%build
export RUSTFLAGS="%{build_rustflags}"
%meson \
	-Dloaders=glycin-heif,glycin-image-rs,glycin-jxl,glycin-svg \
	%{nil}
%meson_build

%install
export RUSTFLAGS="%{build_rustflags}"
%meson_install

%files
%dir %{_libexecdir}/glycin-loaders
%dir %{_libexecdir}/glycin-loaders/0+
%{_libexecdir}/glycin-loaders/0+/glycin-heif
%{_libexecdir}/glycin-loaders/0+/glycin-image-rs
%{_libexecdir}/glycin-loaders/0+/glycin-jxl
%{_libexecdir}/glycin-loaders/0+/glycin-svg
%dir %{_datadir}/glycin-loaders
%dir %{_datadir}/glycin-loaders/0+
%dir %{_datadir}/glycin-loaders/0+/conf.d
%{_datadir}/glycin-loaders/0+/conf.d/glycin-heif.conf
%{_datadir}/glycin-loaders/0+/conf.d/glycin-image-rs.conf
%{_datadir}/glycin-loaders/0+/conf.d/glycin-jxl.conf
%{_datadir}/glycin-loaders/0+/conf.d/glycin-svg.conf

%changelog
* Thu Nov 30 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Run service with new obs-service-cargo, drop cargo_config as
  source and clean up spec and. Cargo_audit and cargo_config are
  now part of the cargo_vendor tarball/service, but in this case,
  since the sourcedir in _service is called glycin, we need to keep
  the manual set cargo_audit in _service to clear validation.
* Tue Nov 14 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.1.2:
  + GIF/APNG/WEBP: Assume frame length of 100ms if provided frame
    length is zero or invalid.
* Mon Sep 18 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.1.1:
  + Distribute correct Cargo.lock for glycin-loaders tarballs.
* Fri Sep 15 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Switch to full cargo packaging, add service and setup vendoring.
* Thu Sep 14 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.1.0:
  + Update dependencies.
* Sun Sep  3 2023 Luciano Santos <luc14n0@opensuse.org>
- Update to version 0.1.rc:
  + No visible changes for the user.
* Wed Aug 23 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.1.beta.4:
  + Relicense under MPL-2.0 OR LGPL-2.1-or-later
  + Add symlinks for license files in crates
  + Add cairo dependency for svg loader
  + HEIC: Fix filetype detection in config
  + tests:
  - Add HEIC tests
  - Add option to skip image formats in tests
  - Run required install before tests (can be disabled)
- Add pkgconfig(cairo) BuildRequires, new dependency.
- Pass explicit
  loaders=glycin-heif,glycin-image-rs,glycin-jxl,glycin-svg to
  meson, ensure we build all the loaders.
- Update License tag following upstreams relicense.
* Tue Aug 22 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Initial package, version 0.1.beta.3.
